Make a refundCopy Pagepost https://api.dlocal.com/refundsThis service allows you to create and read refunds of an existing payment.Body Paramspayment_idstringrequiredThe payment ID.Length: 50.notification_urlstringIf a refund is pending, the refund confirmation is sent asynchronously to this URL.Length: 500.custom_merchant_namestringCustom merchant's name. Recommended if you need to define a different name to show on a payout link request. It's included in the email subject sent to the user as well.Length: 100.amountfloatThe refund amount, always in local currency. If no amount is specified, the total payment amount will be refunded by default. Required if currency is present.This is mandatory for refunds with splits.Length: 16,2. Example 9999999999999999.99currencystringCurrency of the Amount. Required if amount is present.Length: 3.descriptionstringDescription of the refund.Length: 200.order_refund_idstringID given by the merchant in their system.Length: 125.beneficiary_namestringUser's first name. Recommended if the type of the payment is TICKET or BANK_TRANSFER.Length: 50.beneficiary_lastnamestringUser's last name. Recommended if the type of the payment is TICKET or BANK_TRANSFER.Length: 50.bankstringUser's bank name. Recommended if the type of the payment is TICKET or BANK_TRANSFER.Length: 40.bank_codestringUser's bank code. Recommended if the type of the payment is TICKET or BANK_TRANSFER.Length: 45.bank_accountstringUser's bank account number. Recommended if the type of the payment is TICKET or BANK_TRANSFER.Length: 45.bank_account_typestringType of bank account. C: for Current accounts; S: for Savings accounts; I: International accounts. Recommended if the type of the payment is TICKET or BANK_TRANSFER.Length: 40.bank_branchstringUser's bank branch code. Recommended if the type of the payment is TICKET or BANK_TRANSFER.Length: 45.bank_branch_namestringUser's bank branch name. Recommended if the type of the payment is TICKET or BANK_TRANSFER.Length: 40.document_typestringUser's document type. Recommended if the type of the payment is TICKET or BANK_TRANSFER.Length: 10.document_idstringUser's document id. Recommended if the type of the payment is TICKET or BANK_TRANSFER.Length: 40.phonestringUser's phone. Recommended if the type of the payment is TICKET or BANK_TRANSFER.Length: 20.emailstringUser's email. Recommended if the type of the payment is TICKET or BANK_TRANSFER.Length: 100.addressstringUser's address. Recommended if the type of the payment is TICKET or BANK_TRANSFER.Length: 200.citystringUser's city. Recommended if the type of the payment is TICKET or BANK_TRANSFER.Length: 100.splitsarray of objectsAllows to split a transaction between one or more accounts.This is mandatory for captures and sales with splits.splitsADD objectResponse 200200Updated about 1 month ago